--- @class Weather
--- @field skyLight Vec3
--- @field ambientLight Vec3
local weather = {}

--- @param proto Weather
--- @return Weather
local function new(proto)
    return setmetatable(proto, { __index = weather })
end

return { new = new }
